AbstractASTTransformUtil (groovy 2.4.14 API)
Date: 2018-02-24

Package: org.codehaus.groovy.transform

## [Java] Class AbstractASTTransformUtil

- org.codehaus.groovy.transform.AbstractASTTransformUtil

- All Implemented Interfaces and Traits:
    org.objectweb.asm.Opcodes

      @Deprecated
      public abstract class AbstractASTTransformUtil
      extends Object

  deprecated:
    use org.codehaus.groovy.ast.tools.GeneralUtils

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Statement` | `assignStatement(Expression target, Expression value)`
    `` | `static Statement` | `createConstructorStatementDefault(FieldNode fNode)`
    `` | `static ExpressionStatement` | `declStatement(Expression result, Expression init)`
    `` | `static BooleanExpression` | `differentExpr(Expression self, Expression other)`
    `` | `static BooleanExpression` | `differentFieldExpr(FieldNode fNode, Expression other)`
    `` | `static BooleanExpression` | `differentPropertyExpr(PropertyNode pNode, Expression other)`
    `` | `static BooleanExpression` | `equalsNullExpr(Expression argExpr)`
    `` | `static Expression` | `findArg(String argName)`
    `` | `static List<FieldNode>` | `getInstanceNonPropertyFields(ClassNode cNode)`
    `` | `static List<PropertyNode>` | `getInstanceProperties(ClassNode cNode)`
    `` | `static List<FieldNode>` | `getInstancePropertyFields(ClassNode cNode)`
    `` | `static List<FieldNode>` | `getSuperNonPropertyFields(ClassNode cNode)`
    `` | `static List<FieldNode>` | `getSuperPropertyFields(ClassNode cNode)`
    `` | `static boolean` | `hasDeclaredMethod(ClassNode cNode, String name, int argsCount)`
    `` | `static BooleanExpression` | `identicalExpr(Expression self, Expression other)`
    `` | `static BooleanExpression` | `isInstanceOf(Expression objectExpression, ClassNode cNode)`
    `` | `static BooleanExpression` | `isInstanceof(ClassNode cNode, Expression other)`
    `` | `static BooleanExpression` | `isOneExpr(Expression expr)`
    `` | `static boolean` | `isOrImplements(ClassNode fieldType, ClassNode interfaceType)`
    `` | `static BooleanExpression` | `isTrueExpr(Expression argExpr)`
    `` | `static BooleanExpression` | `isZeroExpr(Expression expr)`
    `` | `static BooleanExpression` | `notNullExpr(Expression argExpr)`
    `` | `static Statement` | `returnFalseIfFieldNotEqual(FieldNode fNode, Expression other)`
    `` | `static Statement` | `returnFalseIfNotInstanceof(ClassNode cNode, Expression other)`
    `` | `static IfStatement` | `returnFalseIfNull(Expression other)`
    `` | `static Statement` | `returnFalseIfPropertyNotEqual(PropertyNode pNode, Expression other)`
    `` | `static Statement` | `returnFalseIfWrongType(ClassNode cNode, Expression other)`
    `` | `static IfStatement` | `returnTrueIfIdentical(Expression self, Expression other)`
    `` | `static Statement` | `safeExpression(Expression fieldExpr, Expression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Deprecated public static Statement assignStatement(Expression target, Expression value)

    - #### @Deprecated public static Statement createConstructorStatementDefault(FieldNode fNode)

    - #### @Deprecated public static ExpressionStatement declStatement(Expression result, Expression init)

    - #### @Deprecated public static BooleanExpression differentExpr(Expression self, Expression other)

    - #### @Deprecated public static BooleanExpression differentFieldExpr(FieldNode fNode, Expression other)

    - #### @Deprecated public static BooleanExpression differentPropertyExpr(PropertyNode pNode, Expression other)

    - #### @Deprecated public static BooleanExpression equalsNullExpr(Expression argExpr)

    - #### @Deprecated public static Expression findArg(String argName)

    - #### @Deprecated public static List<FieldNode> getInstanceNonPropertyFields(ClassNode cNode)

    - #### @Deprecated public static List<PropertyNode> getInstanceProperties(ClassNode cNode)

    - #### @Deprecated public static List<FieldNode> getInstancePropertyFields(ClassNode cNode)

    - #### @Deprecated public static List<FieldNode> getSuperNonPropertyFields(ClassNode cNode)

    - #### @Deprecated public static List<FieldNode> getSuperPropertyFields(ClassNode cNode)

    - #### @Deprecated public static boolean hasDeclaredMethod(ClassNode cNode, String name, int argsCount)

    - #### @Deprecated public static BooleanExpression identicalExpr(Expression self, Expression other)

    - #### @Deprecated public static BooleanExpression isInstanceOf(Expression objectExpression, ClassNode cNode)

    - #### @Deprecated public static BooleanExpression isInstanceof(ClassNode cNode, Expression other)

    - #### @Deprecated public static BooleanExpression isOneExpr(Expression expr)

    - #### @Deprecated public static boolean isOrImplements(ClassNode fieldType, ClassNode interfaceType)

    - #### @Deprecated public static BooleanExpression isTrueExpr(Expression argExpr)

    - #### @Deprecated public static BooleanExpression isZeroExpr(Expression expr)

    - #### @Deprecated public static BooleanExpression notNullExpr(Expression argExpr)

    - #### @Deprecated public static Statement returnFalseIfFieldNotEqual(FieldNode fNode, Expression other)

    - #### @Deprecated public static Statement returnFalseIfNotInstanceof(ClassNode cNode, Expression other)

    - #### @Deprecated public static IfStatement returnFalseIfNull(Expression other)

    - #### @Deprecated public static Statement returnFalseIfPropertyNotEqual(PropertyNode pNode, Expression other)

    - #### @Deprecated public static Statement returnFalseIfWrongType(ClassNode cNode, Expression other)

    - #### @Deprecated public static IfStatement returnTrueIfIdentical(Expression self, Expression other)

    - #### @Deprecated public static Statement safeExpression(Expression fieldExpr, Expression expression)